- Main Page
- Data Structures
- Files

- File List
- Globals

Data Structures | Defines | Typedefs | Functions
dmxpixmap.h File Reference
`#include "pixmapstr.h"`

Go to the source code of this file.

## Data Structures
struct | _dmxPixPriv
## Defines
#define | DMX_GET_PIXMAP_PRIV(_pPix) (dmxPixPrivPtr)dixLookupPrivate(&(_pPix)->devPrivates, dmxPixPrivateKey)
## Typedefs
typedef struct _dmxPixPriv | dmxPixPrivRec
typedef struct _dmxPixPriv * | dmxPixPrivPtr
## Functions
Bool | dmxInitPixmap (ScreenPtr pScreen)
PixmapPtr | dmxCreatePixmap (ScreenPtr pScreen, int width, int height, int depth, unsigned usage_hint)
Bool | dmxDestroyPixmap (PixmapPtr pPixmap)
RegionPtr | dmxBitmapToRegion (PixmapPtr pPixmap)
void | dmxBECreatePixmap (PixmapPtr pPixmap)
Bool | dmxBEFreePixmap (PixmapPtr pPixmap)

## Detailed Description

Interface for pixmap support.

See also:
  dmxpixmap.c

## Define Documentation

#define DMX_GET_PIXMAP_PRIV | ( |  | _pPix | ) | (dmxPixPrivPtr)dixLookupPrivate(&(_pPix)->devPrivates, dmxPixPrivateKey)

Get pixmap private pointer.

Referenced by dmxBECreatePixmap(), dmxBEFreePixmap(), dmxBERestorePixmap(), dmxBESavePixmap(), dmxBitmapToRegion(), dmxChangeGC(), dmxCreatePixmap(), dmxDestroyPixmap(), dmxDoChangeWindowAttributes(), dmxDoCreatePicture(), and dmxFindAlternatePixmap().

## Typedef Documentation

typedef struct _dmxPixPriv * dmxPixPrivPtr

typedef struct _dmxPixPriv dmxPixPrivRec

Pixmap private area.

## Function Documentation

void dmxBECreatePixmap | ( | PixmapPtr | pPixmap | ) |

Create a pixmap on the back-end server.

References _DMXScreenInfo::beDisplay, DMX_GET_PIXMAP_PRIV, dmxScreens, dmxSync(), _dmxPixPriv::pixmap, and _DMXScreenInfo::scrnWin.

Referenced by dmxAttachScreen(), dmxBECreateResources(), dmxBECreateWindowTree(), dmxBERestoreRenderPict(), and dmxCreatePixmap().

Bool dmxBEFreePixmap | ( | PixmapPtr | pPixmap | ) |

Destroy the pixmap on the back-end server.

References _DMXScreenInfo::beDisplay, DMX_GET_PIXMAP_PRIV, dmxScreens, and _dmxPixPriv::pixmap.

Referenced by dmxBEDestroyResources(), dmxBEDestroyWindowTree(), dmxDestroyPixmap(), and dmxDetachScreen().

RegionPtr dmxBitmapToRegion | ( | PixmapPtr | pPixmap | ) |

Create and return a region based on the pixmap pointed to by pPixmap.

References _DMXScreenInfo::beDisplay, DMX_GET_PIXMAP_PRIV, dmxScreens, dmxSync(), and _dmxPixPriv::pixmap.

Referenced by dmxScreenInit().

PixmapPtr dmxCreatePixmap | ( | ScreenPtr | pScreen,
|  | int | width,
|  | int | height,
|  | int | depth,
|  | unsigned | usage_hint
| ) |  |

Create a pixmap for pScreen with the specified width, height, and depth.

References _DMXScreenInfo::beDisplay, _dmxPixPriv::detachedImage, DMX_GET_PIXMAP_PRIV, DMX_UNWRAP, DMX_WRAP, dmxBECreatePixmap(), dmxCreatePixmap(), dmxScreens, and _dmxPixPriv::pixmap.

Referenced by dmxCreatePixmap(), and dmxScreenInit().

Bool dmxDestroyPixmap | ( | PixmapPtr | pPixmap | ) |

Destroy the pixmap pointed to by pPixmap.

References _DMXScreenInfo::beDisplay, _dmxPixPriv::detachedImage, DMX_GET_PIXMAP_PRIV, DMX_UNWRAP, DMX_WRAP, dmxBEFreePixmap(), dmxDestroyPixmap(), dmxScreens, and dmxSync().

Referenced by dmxDestroyPixmap(), and dmxScreenInit().

Bool dmxInitPixmap | ( | ScreenPtr | pScreen | ) |

Initialize a private area in pScreen for pixmap information.

References dmxPixPrivateKeyRec.

Referenced by dmxScreenInit().